{% extends 'base.html' %}

{% block title %}Home{% endblock %}

{% block content %}
  <p align="right">{{ user.username }} <a href="{% url 'logout' %}">Log Out</a></p>
    
  <table cellpadding="10" border="1" width="80%" align="center">
  <tbody>
  <tr>                          
      <th>  Disk  </th>
      <th>  Size  </th>
      <th>  Mountpoint  </th>
      <th>  Options  </th>
  </tr>
  
      {% for disk in data %}
          <tr>
              <td>{{ disk.name }}</td>
              <td>{{ disk.size }}</td>
              <td></td>
              <td>{% if disk.ro == '0' %}
                      <a href="create/{{disk.name}}">Create</a> <a href="delete/{{disk.name}}">Delete</a>
                  {% endif %}
              </td>
          </tr>
          {% if 'children' in disk.keys %}
              {% for volume in disk.children %}
                  <tr>
                      <td>\___{{volume.name}}</td>
                      <td>{{volume.size}}</td>
                      <td>{{ volume.mountpoint }}</td>
                      <td>{% if volume.mountpoint != '/' %}
                              <a href="mount/{{volume.name}}">Mount</a> <a href="format/{{volume.name}}">Format</a> <a href="unmount/{{volume.name}}">Unmount</a>
                          {% endif %}
                       </td>   
                  </tr>
              {% endfor %}
          {% endif %}
      {% endfor %}

  </tbody>
  </table>
  
{% endblock %}
